Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.watch
Class ResponseTimeCalculableView

    java.lang.Object
      org.jini.rio.watch.DefaultCalculableView
          org.jini.rio.watch.ResponseTimeCalculableView

All Implemented Interfaces:
  CalculableViewable

    public class ResponseTimeCalculableView

extends DefaultCalculableView

A view for a response time Calculable

Field Summary

Fields inherited from class org.jini.rio.watch.DefaultCalculableView
`accum, avgColor, BOTTOM_AXIS_MARGIN, BOTTOM_GRAPH_MARGIN, bottomLineValue, calcDisplayAttrs, currentSize, data, defaultFont, defaultFormater, devColor, drawHeight, drawWidth, highThreshold, HORIZONTAL__MIN_GRID_WIDTH, LEFT_AXIS_MARGIN, LEFT_GRAPH_MARGIN, lowThreshold, max, maxY, mean, min, minY, nbrHGrids, offset, rangeSize, RIGHT_AXIS_MARGIN, RIGHT_GRAPH_MARGIN, startRange, startValue, stdDev, stopRange, stopValue, title, titleFont, TOP_AXIS_MARGIN, TOP_GRAPH_MARGIN, topLineValue, TOTAL_H_GRAPH_MARGIN, TOTAL_V_GRAPH_MARGIN, valuesRange, VERTICAL__MIN_GRID_HEIGHT, VERTICAL_GRAPH_OFFSET, vStep, vStepMultiplier, watchDataSource, xFormat, xLegend, xLegendFont, xScale, yFormat, yLegend, yLegendFont, yScale`

Constructor Summary
`ResponseTimeCalculableView()` Create a new ResponseTimeCalculableView
`ResponseTimeCalculableView(CalculableDisplayAttributes calcDisplayAttrs)` Create a new DefaultCalculableView

Method Summary
`protected double` | `getBottomLineValue()` Get the bottom line value

Methods inherited from class org.jini.rio.watch.DefaultCalculableView
`getLength, getOffset, getStartValue, getStopValue, getTopLineValue, initValues, paint, resetValues, setCalculableDisplayAttributes, setStartValue, setStopValue, setWatchDataSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResponseTimeCalculableView

    public ResponseTimeCalculableView()

  Create a new ResponseTimeCalculableView

### ResponseTimeCalculableView

    public ResponseTimeCalculableView(CalculableDisplayAttributes calcDisplayAttrs)

  Create a new DefaultCalculableView

  Parameters:
    `calcDisplayAttrs` - The Calculable Display Attributes used to format the graph

Method Detail

### getBottomLineValue

    protected double getBottomLineValue()

  Get the bottom line value

  Overrides:
    `getBottomLineValue` in class `DefaultCalculableView`
  Returns:
    The value of the bottom line in the view

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.